﻿
namespace LJLib.Net.SPI.Com
{
    public interface ILJRequest
    {
        string GetApiName();
    }

    public abstract class LJRequest<T> : ILJRequest where T : LJResponse
    {
        public string GetApiName()
        {
            var typeName = this.GetType().Name;
            return typeName.Substring(0, typeName.Length - 7);
        }
    }
}
